﻿using System;
using System.Windows;
using System.Reflection;

namespace WPFAplicacion
{
  /// <summary>
  /// Lógica de interacción para MainWindow.xaml
  /// </summary>
  public partial class MainWindow : Window
  {
    public MainWindow()
    {
      // Configuración
      InitializeComponent();
      try
      {
        // Restaurar el estado desde los atributos del objeto
        // de la clase Settings referenciado por Default
        Rect restoreBounds =
          Properties.Settings.Default.MainRestoreBounds;
        Left = restoreBounds.Left;
        Top = restoreBounds.Top;
        Width = restoreBounds.Width;
        Height = restoreBounds.Height;
        WindowState = Properties.Settings.Default.MainWindowState;
      }
      catch { }
      // Recursos
      this.Title = Properties.Resources.TituloAplicacion;
    }

    private void btSaludo_Click(object sender, RoutedEventArgs e)
    {
      // Atributos globales
      label1.Content = ((AssemblyTitleAttribute)ObtenerInfo(typeof(AssemblyTitleAttribute))).Title;
      label2.Content = ((AssemblyDescriptionAttribute)ObtenerInfo(typeof(AssemblyDescriptionAttribute))).Description;
      label3.Content = ((AssemblyCopyrightAttribute)ObtenerInfo(typeof(AssemblyCopyrightAttribute))).Copyright;
    }

    private object ObtenerInfo(Type atributo, bool h = false)
    {
      // Atributos globales
      Assembly ensamblado = Assembly.GetExecutingAssembly();
      object[] atributos = ensamblado.GetCustomAttributes(atributo, h);
      return atributos[0];
    }

    private void VentanaWPF_Closing(object sender, System.ComponentModel.CancelEventArgs e)
    {
      // Guardar el estado desde los atributos
      Properties.Settings.Default.MainRestoreBounds = RestoreBounds;
      Properties.Settings.Default.MainWindowState = WindowState;
      Properties.Settings.Default.Save();
    }
  }
}
