﻿using System;
using System.Windows;
using System.IO;
using System.Windows.Markup;
using System.Windows.Controls;

namespace WPFAplicacion
{
  public partial class MainWindow : Window
  {
    private Button btSaludo;
    private Label etSaludo;

    public MainWindow(string ficheroXaml)
    {
      InitializeComponent(ficheroXaml);
    }

    private void InitializeComponent(string ficheroXaml)
    {
      // Configurar la ventana MainWindow
      this.Title = "Ventana WPF: XAML dinámico";
      this.Height = 200; this.Width = 300;
      // Cargar el XAML desde un fichero externo
      //DependencyObject elementoRaiz;
      //using (FileStream fs =
      //       new FileStream(ficheroXaml, FileMode.Open))
      //{
      //  elementoRaiz = (DependencyObject)XamlReader.Load(fs);
      //}
      //// Insertar el código XAML en la ventana
      //this.Content = elementoRaiz;
      //// Buscar los controles btSaludo y etSaludo
      //btSaludo = (Button)LogicalTreeHelper.FindLogicalNode(
      //                     elementoRaiz, "btSaludo");
      //etSaludo = (Label)LogicalTreeHelper.FindLogicalNode(
      //                     elementoRaiz, "etSaludo");
      FrameworkElement elementoRaiz;
      using (FileStream fs =
             new FileStream(ficheroXaml, FileMode.Open))
      {
        elementoRaiz = (FrameworkElement)XamlReader.Load(fs);
      }
      // Insertar el código XAML en la ventana
      this.Content = elementoRaiz;
      // Buscar los controles btSaludo y etSaludo
      btSaludo = (Button)elementoRaiz.FindName("btSaludo");
      etSaludo = (Label)elementoRaiz.FindName("etSaludo");

      // Asignar el controlador para manejar el evento Click
      // de btSaludo
      btSaludo.Click += btSaludo_Click;
    }

    private void btSaludo_Click(object sender, RoutedEventArgs e)
    {
      etSaludo.Content = "¡¡¡Hola mundo!!!";
    }
  }
}
