﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;

namespace ConverTemps.Clases
{
  class ReglaRangoGrados : ValidationRule
  {
    private double tempMin;
    private double tempMax;

    public double TempMin
    {
      get { return tempMin; }
      set { tempMin = value; }
    }

    public double TempMax
    {
      get { return tempMax; }
      set { tempMax = value; }
    }

    public override ValidationResult Validate(object value, System.Globalization.CultureInfo cultureInfo)
    {
      double grados;
      if (!double.TryParse(value.ToString(), out grados))
        return new ValidationResult(false, "La cadena de entrada no tiene el formato correcto.");

      if (grados < -273 || grados > 1500)
        return new ValidationResult(false, string.Format("Valor fuera del rango {0} a {1}", tempMin, tempMax));

      return ValidationResult.ValidResult;
    }
  }
}
