﻿using System.ComponentModel;
using System.Collections.Generic;

namespace Ap_ICommand.BBDD
{
  public class Alumno : INotifyPropertyChanged
  {
    private int _idAlumno;
    public int IdAlumno
    {
      get { return _idAlumno; }
      set
      {
        _idAlumno = value;
        OnPropertyChanged(new PropertyChangedEventArgs("IdAlumno"));
      }
    }

    private List<Asignatura> _listaAsignaturas;
    public List<Asignatura> ListaAsignaturas
    {
      get { return _listaAsignaturas; }
      set
      {
        _listaAsignaturas = value;
        OnPropertyChanged(new PropertyChangedEventArgs("ListaAsignaturas"));
      }
    }

    public event PropertyChangedEventHandler PropertyChanged;
    public void OnPropertyChanged(PropertyChangedEventArgs e)
    {
      if (PropertyChanged != null)
        PropertyChanged(this, e); // generar evento
    }

    public Alumno()
    {
      IdAlumno = 0;
      ListaAsignaturas = new List<Asignatura>();
    }

    public Alumno(int id, List<Asignatura> lista)
    {
      IdAlumno = id;
      ListaAsignaturas = lista;
    }
  }
}
