﻿using System.ComponentModel;

namespace Ap_ICommand.BBDD
{
  public class Asignatura : INotifyPropertyChanged
  {
    private string _nomAsignatura;
    public string NomAsignatura
    {
      get { return _nomAsignatura; }
      set
      {
        _nomAsignatura = value;
        OnPropertyChanged(new PropertyChangedEventArgs("NomAsignatura"));
      }
    }

    private float _nota;
    public float Nota
    {
      get { return _nota; }
      set
      {
        _nota = value;
        OnPropertyChanged(new PropertyChangedEventArgs("Nota"));
      }
    }

    public event PropertyChangedEventHandler PropertyChanged;
    public void OnPropertyChanged(PropertyChangedEventArgs e)
    {
      if (PropertyChanged != null)
        PropertyChanged(this, e); // generar evento
    }

    public override string ToString()
    {
      return NomAsignatura;
    }

    public Asignatura() : this("", -1) {}

    public Asignatura(string nomAsig, float nt)
    {
      NomAsignatura = nomAsig;
      Nota = nt;
    }
  }
}
