﻿using System;
using System.Windows.Input;
using Ap_ICommand.BBDD;
using System.ComponentModel;

namespace Ap_ICommand
{
  public class OrdenMostrarNota : ICommand
  {
    private Alumno alumno;
    private Asignatura asignatura;
    private int idMin, idMax;

    public OrdenMostrarNota(Alumno alum, Asignatura asig, int min, int max)
    {
      idMin = min; idMax = max;
      this.alumno = alum;
      this.alumno.PropertyChanged += new PropertyChangedEventHandler(OnPropertyChanged);
      this.asignatura = asig;
      this.asignatura.PropertyChanged += new PropertyChangedEventHandler(OnPropertyChanged);
    }

    public bool CanExecute(object paramIndex)
    {
      if (alumno.IdAlumno >= idMin && alumno.IdAlumno <= idMax)
        if (alumno.ListaAsignaturas.Count != 0)
          if (!string.IsNullOrEmpty(asignatura.NomAsignatura))
            return true;

      return false;
    }

    public void Execute(object paramIndex)
    {
      int ind = Convert.ToInt32(paramIndex);
      asignatura.Nota = alumno.ListaAsignaturas[ind].Nota;
    }

    public event EventHandler CanExecuteChanged;

    private void OnPropertyChanged(object sender, PropertyChangedEventArgs e)
    {
      if (CanExecuteChanged != null)
      {
        // Generar evento
        CanExecuteChanged(this, EventArgs.Empty);
      }
    }
  }
}
