﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Menus.Ordenes;

namespace Menus
{
  /// <summary>
  /// Lógica de interacción para MainWindow.xaml
  /// </summary>
  public partial class MainWindow : Window
  {
    public DestinoDatos FicheroGuardar { get; set; }

    //public static readonly DependencyProperty FicheroGuardarProperty =
    //  DependencyProperty.Register("FicheroGuardar",
    //  typeof(DestinoDatos), typeof(MainWindow),
    //  new UIPropertyMetadata(null));

    //public DestinoDatos FicheroGuardar
    //{
    //  get { return (DestinoDatos)GetValue(FicheroGuardarProperty); }
    //  set { SetValue(FicheroGuardarProperty, value); }
    //}

    public MainWindow()
    {
      InitializeComponent();
      this.FicheroGuardar = new DestinoDatos();
      this.DataContext = FicheroGuardar;
    }

    #region Órdenes enrutadas

    public static RoutedUICommand RCSalir = new RoutedUICommand();
    public static RoutedUICommand RCAbrir = new RoutedUICommand();

    // RCAbrir
    private void ExecutedRCAbrir(object sender, ExecutedRoutedEventArgs e)
    {
      // Implemente aquí la lógica de la orden RCAbrir
      MessageBox.Show("Orden Archivo > Abrir... personalizada ejecutada");
    }

    private void CanExecuteRCAbrir(object sender, CanExecuteRoutedEventArgs e)
    {
      // Retorna true sólo si el destino de la orden es un control
      Control destino = e.Source as Control;

      if (destino != null)
      {
        e.CanExecute = true;
      }
      else
      {
        e.CanExecute = false;
      }
    }

    // Guardar
    private void ExecutedGuardar(object sender, ExecutedRoutedEventArgs e)
    {
      // Implemente aquí la lógica de la orden Guardar
      MessageBox.Show("Se guarda el texto \"" +
                      ((TextBox)e.Source).Text +
                      "\" en " + e.Parameter.ToString());
    }

    private void CanExecuteGuardar(object sender, CanExecuteRoutedEventArgs e)
    {
      // Retorna true sólo si el destino de la orden es un TextBox
      if (e.Source is TextBox)
      {
        e.CanExecute = true;
      }
      else
      {
        e.CanExecute = false;
      }
    }

    #endregion Órdenes enrutadas

    #region Controladores de eventos

    private void ArchivoSalir_Click(object sender, RoutedEventArgs e)
    {
      Close(); // cerrar la ventana principal
    }

    private void ArchivoAbrir_Click(object sender, RoutedEventArgs e)
    {
      System.Diagnostics.Debug.WriteLine("Archivo > Abrir...");
      MessageBox.Show("Archivo > Abrir");
    }

    private void ArchivoGuardarMismoNombre_Click(object sender, RoutedEventArgs e)
    {
      System.Diagnostics.Debug.WriteLine("Archivo > Guardar > Mismo nombre");
    }

    private void ArchivoGuardarOtroNombre_Click(object sender, RoutedEventArgs e)
    {
      System.Diagnostics.Debug.WriteLine("Archivo > Guardar > Otro nombre");
    }

    private void AyudaAcercaDe_Click(object sender, RoutedEventArgs e)
    {
      System.Diagnostics.Debug.WriteLine("Ayuda > Acerca de...");
    }

    private void textBox1_GotFocus(object sender, RoutedEventArgs e)
    {
      FicheroGuardar.Destino = "datos1.txt";
    }

    private void textBox2_GotFocus(object sender, RoutedEventArgs e)
    {
      FicheroGuardar.Destino = "datos2.txt";
    }

    private void ArchivoSalir_MouseEnter(object sender, MouseEventArgs e)
    {
      this.btexbarestPpal.Text = "Cierra la aplicación";
    }

    private void ArchivoSalir_MouseLeave(object sender, MouseEventArgs e)
    {
      this.btexbarestPpal.Text = "Listo";
    }

    #endregion Controladores de eventos
  }
}
