﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;

namespace Editor
{
  /// <summary>
  /// Lógica de interacción para MainWindow.xaml
  /// </summary>
  public partial class MainWindow : Window
  {
    private FontFamily familiaPre;
    private double tamañoPre;

    public MainWindow()
    {
      InitializeComponent();
    }

    private void ArchivoSalir_Click(object sender, RoutedEventArgs e)
    {
      Close();
    }

    private void OpcionesFuenteCourier_Click(object sender, RoutedEventArgs e)
    {
      ctEditor.FontFamily = new FontFamily("Courier new");
    }

    private void OpcionesFuenteArial_Click(object sender, RoutedEventArgs e)
    {
      ctEditor.FontFamily = new FontFamily("Arial");
    }

    private void OpcionesFuentePre_Click(object sender, RoutedEventArgs e)
    {
      ctEditor.FontFamily = familiaPre;
    }

    private void OpcionesTamaño16_Click(object sender, RoutedEventArgs e)
    {
      ctEditor.FontSize = 16.0;
    }

    private void OpcionesTamaño24_Click(object sender, RoutedEventArgs e)
    {
      ctEditor.FontSize = 24.0;
    }

    private void OpcionesTamañoPre_Click(object sender, RoutedEventArgs e)
    {
      ctEditor.FontSize = tamañoPre;
    }

    private void Window_Loaded(object sender, RoutedEventArgs e)
    {
      familiaPre = ctEditor.FontFamily;
      tamañoPre = ctEditor.FontSize;
    }

    private void AyudaAcercaDe_Click(object sender, RoutedEventArgs e)
    {
      string créditos = "Aplicación Editor\n" +
        "Editor básico de textos\n" +
        "(c) Fco. Javier Ceballos";
      MessageBox.Show(créditos, "Acerca de");
    }
  }
}
