﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;

namespace Editor
{
  /// <summary>
  /// Lógica de interacción para MainWindow.xaml
  /// </summary>
  public partial class MainWindow : Window
  {
    private FontFamily familiaPre;
    private double tamañoPre;

    public MainWindow()
    {
      InitializeComponent();
    }

    private void ArchivoSalir_Click(object sender, RoutedEventArgs e)
    {
      Close();
    }

    private void OpcionesFuenteCourier_Click(object sender, RoutedEventArgs e)
    {
      ctEditor.FontFamily = new FontFamily("Courier new");
      OpcionesFuenteCourier.IsChecked = true;
      OpcionesFuenteArial.IsChecked = false;
      OpcionesFuentePre.IsChecked = false;
    }

    private void OpcionesFuenteArial_Click(object sender, RoutedEventArgs e)
    {
      ctEditor.FontFamily = new FontFamily("Arial");
      OpcionesFuenteCourier.IsChecked = false;
      OpcionesFuenteArial.IsChecked = true;
      OpcionesFuentePre.IsChecked = false;
    }

    private void OpcionesFuentePre_Click(object sender, RoutedEventArgs e)
    {
      ctEditor.FontFamily = familiaPre;
      OpcionesFuenteCourier.IsChecked = false;
      OpcionesFuenteArial.IsChecked = false;
      OpcionesFuentePre.IsChecked = true;
    }

    private void OpcionesTamaño16_Click(object sender, RoutedEventArgs e)
    {
      ctEditor.FontSize = 16.0;
      OpcionesTamaño16.IsChecked = true;
      OpcionesTamaño24.IsChecked = false;
      OpcionesTamañoPre.IsChecked = false;
    }

    private void OpcionesTamaño24_Click(object sender, RoutedEventArgs e)
    {
      ctEditor.FontSize = 24.0;
      OpcionesTamaño16.IsChecked = false;
      OpcionesTamaño24.IsChecked = true;
      OpcionesTamañoPre.IsChecked = false;
    }

    private void OpcionesTamañoPre_Click(object sender, RoutedEventArgs e)
    {
      ctEditor.FontSize = tamañoPre;
      OpcionesTamaño16.IsChecked = false;
      OpcionesTamaño24.IsChecked = false;
      OpcionesTamañoPre.IsChecked = true;
    }

    private void Window_Loaded(object sender, RoutedEventArgs e)
    {
      familiaPre = ctEditor.FontFamily;
      tamañoPre = ctEditor.FontSize;
      Clipboard.Clear();
    }

    private void AyudaAcercaDe_Click(object sender, RoutedEventArgs e)
    {
      string créditos = "Aplicación Editor\n" +
        "Editor básico de textos\n" +
        "(c) Fco. Javier Ceballos";
      MessageBox.Show(créditos, "Acerca de");
    }

    private void EditarCortar_Click(object sender, RoutedEventArgs e)
    {
      ctEditor.Cut();
    }

    private void EditarCopiar_Click(object sender, RoutedEventArgs e)
    {
      ctEditor.Copy();
    }

    private void EditarPegar_Click(object sender, RoutedEventArgs e)
    {
      ctEditor.Paste();
    }

    private void menuEditar_Loaded(object sender, RoutedEventArgs e)
    {
      EditarDeshacer.IsEnabled = ctEditor.CanUndo;
      EditarRehacer.IsEnabled = ctEditor.CanRedo;
      EditarCortar.IsEnabled = (ctEditor.SelectedText.Length != 0);
      EditarCopiar.IsEnabled = (ctEditor.SelectedText.Length != 0);
      EditarPegar.IsEnabled = Clipboard.ContainsText();
    }

    private void BarraDeHerramientas_MouseEnter(object sender, System.Windows.Input.MouseEventArgs e)
    {
      btbarCortar.IsEnabled = (ctEditor.SelectedText.Length != 0);
      btbarCopiar.IsEnabled = (ctEditor.SelectedText.Length != 0);
      btbarPegar.IsEnabled = Clipboard.ContainsText();
    }

    private void EditarDeshacer_Click(object sender, RoutedEventArgs e)
    {
      ctEditor.Undo();
    }

    private void EditarRehacer_Click(object sender, RoutedEventArgs e)
    {
      ctEditor.Redo();
    }
  }
}
