﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace CajasDeDialogo
{
  /// <summary>
  /// Lógica de interacción para DlgBasesNum.xaml
  /// </summary>
  public partial class DlgBasesNum : Window
  {
    private int numeroActual;
    
    public DlgBasesNum()
    {
      InitializeComponent();
    }

    private void ctDato_TextChanged(object sender, TextChangedEventArgs e)
    {
      if (ctDato.Text.Length == 0) return;

      string texto = ctDato.Text;
      int baseNum = 0;

      if (btopDecimal.IsChecked == true)
        baseNum = 10;
      else if (btopOctal.IsChecked == true)
        baseNum = 8;
      else if (btopHex.IsChecked == true)
        baseNum = 16;

      try
      {
        numeroActual = Convert.ToInt32(texto, baseNum);
      }
      catch (FormatException ex)
      {
        if (texto == "-" || texto == "+") return;
        MessageBox.Show(ex.Message);
      }
      catch (Exception ex)
      {
        MessageBox.Show(ex.Message);
      }
    }

    private void btopDecOcHex_Checked(object sender, RoutedEventArgs e)
    {
      if (btopDecimal.IsChecked == true)
        ctDato.Text = Convert.ToString(numeroActual, 10);
      else if (btopOctal.IsChecked == true)
        ctDato.Text = Convert.ToString(numeroActual, 8);
      else if (btopHex.IsChecked == true)
        ctDato.Text = Convert.ToString(numeroActual, 16).ToUpper();
      ctDato.Focus();
    }
  }
}
