﻿using System;
using System.Windows;
using System.Windows.Controls;

namespace CajasDeDialogo
{
  /// <summary>
  /// Lógica de interacción para DlgCalendario.xaml
  /// </summary>
  public partial class DlgCalendario : Window
  {
    public DlgCalendario()
    {
      InitializeComponent();
    }

    private void Calendar_SelectedDatesChanged(object sender, SelectionChangedEventArgs e)
    {
      // Verificar los elementos nuevos añadidos
      foreach (DateTime fechaSeleccionada in e.AddedItems)
      {
        if ((fechaSeleccionada.DayOfWeek == DayOfWeek.Saturday) ||
        (fechaSeleccionada.DayOfWeek == DayOfWeek.Sunday))
        {
          etError.Text = "Los fines de semana no se pueden seleccionar.";
          // Borrar los elementos seleccionados
          ((Calendar)sender).SelectedDates.Remove(fechaSeleccionada);
        }
      }
    }

    private void DatePicker_DateValidationError(object sender, DatePickerDateValidationErrorEventArgs e)
    {
      etError.Text = "'" + e.Text +
      "' no es un valor válido porque " + e.Exception.Message;
    }
  }
}
