﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Xml;

namespace CajasDeDialogo
{
  /// <summary>
  /// Lógica de interacción para DlgDataGrid.xaml
  /// </summary>
  public partial class DlgDataGrid : Window
  {
    private SolidColorBrush azulClaro = new SolidColorBrush(Colors.LightSkyBlue);
    private SolidColorBrush colorPredeterminado = new SolidColorBrush(Colors.White);

    public DlgDataGrid()
    {
      InitializeComponent();
    }

    private void dgAlumnos_LoadingRow(object sender, DataGridRowEventArgs e)
    {
      // Comprobar los datos de esta fila
      XmlNode filaActual = e.Row.DataContext as XmlNode;
      string sbeca = filaActual["beca"].InnerText;
      // Aplicar formato a la fila si...
      if (sbeca.CompareTo("True") == 0)
      {
        e.Row.Background = azulClaro;
      }
      else
      {
        // Restaurar el color predeterminado para asegurar que
        // las filas recargadas con formato son restauradas
        e.Row.Background = colorPredeterminado;
      }
    }
  }
}
