﻿using System;
using System.Windows;
using System.Windows.Threading;

namespace CajasDeDialogo
{
  /// <summary>
  /// Lógica de interacción para DlgRangos.xaml
  /// </summary>
  public partial class DlgRangos : Window
  {
    private DispatcherTimer temporizador;

    public DlgRangos()
    {
      CrearTemporizador();
      InitializeComponent();
      temporizador.Start();
    }

    private void CrearTemporizador()
    {
      temporizador = new DispatcherTimer();
      temporizador.Interval = new TimeSpan(0, 0, 1);
      temporizador.Tick += new EventHandler(Temporizador_Tick);
    }

    void Temporizador_Tick(object sender, EventArgs e)
    {
      int inc = 1; // incremento
      int tpHecho = 0, carga = 1000; // la cuenta es hasta 1000
      int cuenta = Convert.ToInt32(etContador.Content) + inc;
      etContador.Content = Convert.ToString(cuenta);
      // Mostrar progreso
      tpHecho = (int)((double)cuenta / carga * 100);
      if (tpHecho > bpCuenta.Value) bpCuenta.Value = tpHecho;
      if (cuenta == carga) temporizador.Stop();
    }

    private void desIntervalo_ValueChanged(object sender, RoutedPropertyChangedEventArgs<double> e)
    {
      temporizador.Interval = new TimeSpan(100000 * (long)desIntervalo.Value); // ticks
    }
  }
}
