﻿using System;
using System.Windows;

namespace Temporizador
{
  /// <summary>
  /// Lógica de interacción para MainWindow.xaml
  /// </summary>
  public partial class MainWindow : Window
  {
    private System.Timers.Timer temporizador;
    private TimeSpan tAntes;
    private TimeSpan tDespues;

    public MainWindow()
    {
      InitializeComponent();
      CrearTemporizador();
    }

    private void Window_Loaded(object sender, RoutedEventArgs e)
    {
      tAntes = DateTime.Now.TimeOfDay;
      temporizador.Interval = 1; // milisegundo
    }

    private void CrearTemporizador()
    {
      temporizador = new System.Timers.Timer();
      temporizador.Interval = 1000;
      temporizador.Elapsed += new System.Timers.ElapsedEventHandler(Temporizador_Elapsed);
      temporizador.Enabled = true;
    }

    void Temporizador_Elapsed(object sender, System.Timers.ElapsedEventArgs e)
    {
      //etHora.Content = DateTime.Now.ToLongTimeString();
      //Dispatcher.BeginInvoke((Action)delegate() { etHora.Content = DateTime.Now.ToLongTimeString(); });
      Dispatcher.BeginInvoke(new Action(ActualizarReloj));
      tDespues = DateTime.Now.TimeOfDay;
      System.Diagnostics.Debug.WriteLine((tDespues - tAntes).Milliseconds + " mseg.");
      tAntes = tDespues;
    }

    private void ActualizarReloj()
    {
      etHora.Content = DateTime.Now.ToLongTimeString(); // hora actual
    }
  }
}
