﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Windows;
using System.Windows.Data;

namespace BaseDeDatos
{
  public class bbdd : INotifyPropertyChanged
  {
    public bbdd()
    {
      ObtenerAlumnos();
    }

    private ListAlumnos _alumnos;
    public ListAlumnos Alumnos
    {
      get { return _alumnos; }
      set
      {
        _alumnos = value;
        OnPropertyChanged(new PropertyChangedEventArgs("Alumnos"));
      }
    }

    public event PropertyChangedEventHandler PropertyChanged;
    public void OnPropertyChanged(PropertyChangedEventArgs e)
    {
      if (PropertyChanged != null)
        PropertyChanged(this, e); // generar evento
    }

    // Crear la base de datos
    private ListAlumnos ObtenerAlumnos()
    {
      _alumnos = new ListAlumnos();
      ObservableCollection<Asignaturas> coAsignaturas;
      ObservableCollection<Asignatura> asignaturas;
      Random rnd = new Random();
      for (int i = 1; i < 10; ++i )
      {
        int idAl = i + i * 10 + i * 100; // 111, 222,...
        string nomAl = "Alumno 0" + i;
        string dirAl = "Dirección 0" + i;
        string estAl = "Estudios 0" + i;
        bool becaAl = i % 3 == 0 ? true : false;
        coAsignaturas = new ObservableCollection<Asignaturas>();
        // Obligatorias
        asignaturas = new ObservableCollection<Asignatura>();
        for (int a = 1; a < rnd.Next(3, 6); ++a)
        {
          int idAsOb = (i - 1 + a) % 10 + 10; // 11, 12, 1?
          string asig = "Asignatura ob" + idAsOb; // Asignatura ob?,...
          float nota = (float)(((int)(rnd.NextDouble() * 100)) / 10.0F);
          asignaturas.Add(new Asignatura(idAsOb, asig, nota));
        }
        coAsignaturas.Add(new Asignaturas("Obligatorias", asignaturas));
        // Optativas
        asignaturas = new ObservableCollection<Asignatura>();
        for (int a = 1; a < rnd.Next(2, 4); ++a)
        {
          int idAsOp = (i - 1 + a) % 10 + 60; // 61, 62, 6?
          string asig = "Asignatura op" + idAsOp; // Asignatura op?,...
          float nota = (float)(((int)(rnd.NextDouble() * 100)) / 10.0F);
          asignaturas.Add(new Asignatura(idAsOp, asig, nota));
        }
        coAsignaturas.Add(new Asignaturas("Optativas", asignaturas));
        _alumnos.Add(new Alumno(idAl, nomAl, dirAl, estAl, becaAl, coAsignaturas));
      }
      return _alumnos;
    }

    public Alumno ObtenerAlumnoPorId(int idAl)
    {
      foreach (Alumno al in Alumnos)
        if (al.IdAlumno == idAl)
          return al;
      return null;
    }
  }
}
