﻿using System.Windows;
using BaseDeDatos;
using System.Windows.Controls;

namespace EnlaceDeDatosObjetos
{
  /// <summary>
  /// Lógica de interacción para DlgBindingGroup.xaml
  /// </summary>
  public partial class DlgBindingGroup : Window
  {
    public DlgBindingGroup()
    {
      InitializeComponent();
    }
    public DlgBindingGroup(Alumno nuevo)
    {
      InitializeComponent();
      LlenarListasAsigs();
      gridAlumno.DataContext = nuevo;
    }

    private void LlenarListasAsigs()
    {
      // Obligatorias
      lsListaObs.Items.Add("11 Asignatura ob11");
      lsListaObs.Items.Add("12 Asignatura ob12");
      lsListaObs.Items.Add("13 Asignatura ob13");
      lsListaObs.Items.Add("14 Asignatura ob14");
      // Optativas
      lsListaOps.Items.Add("61 Asignatura op61");
      lsListaOps.Items.Add("62 Asignatura op62");
    }

    private void btAceptar_Click(object sender, RoutedEventArgs e)
    {
      bgCajasTexto.CommitEdit();
      if (Validation.GetHasError(ctIdAlumno) ||
          Validation.GetHasError(spCajasTexto) ||
          lsListaObs.SelectedItems.Count == 0)
      {
        MessageBox.Show("Error: valor no valido o no selección asigs. obs.");
        return;
      }
      else
        DialogResult = true;
    }
  }
}
