﻿using System.Windows.Controls;
using System.Windows.Data;
using BaseDeDatos;

namespace EnlaceDeDatosObjetos.Validacion
{
  class ReglaCajasTextoVacias : ValidationRule
  {
    public override ValidationResult Validate(object value,
    System.Globalization.CultureInfo cultureInfo)
    {
      BindingGroup bindingGroup = (BindingGroup)value;
      // Sólo hay un elemento en la colección Items.
      Alumno al = bindingGroup.Items[0] as Alumno;
      // al contiene los valores originales
      double n;
      // Verificar los valores nuevos
      string nom = bindingGroup.GetValue(al, "NomAlumno").ToString();
      string dir = bindingGroup.GetValue(al, "DirAlumno").ToString();
      string est = bindingGroup.GetValue(al, "EstAlumno").ToString();
      if (double.TryParse(nom, out n) || double.TryParse(dir, out n) || double.TryParse(est, out n))
        return new ValidationResult(false,
          "No puede ser un dato numérico");

      if (nom.Length == 0 || dir.Length == 0 || est.Length == 0)
        return new ValidationResult(false,
          string.Format("La cadena de entrada está vacía"));

      return ValidationResult.ValidResult;
    }
  }
}
