﻿using System;
using System.Windows;
using System.Data.SqlClient;
using System.Data;

namespace DataReader
{
  /// <summary>
  /// Lógica de interacción para MainWindow.xaml
  /// </summary>
  public partial class MainWindow : Window
  {
    private SqlConnection ConexionConBD = null;
    private SqlCommand OrdenSql;
    private SqlDataReader Lector;

    public MainWindow()
    {
      InitializeComponent();
    }

    private void Window_Loaded(object sender, RoutedEventArgs e)
    {
      // Crear la conexión
      string strConexion = "Data Source=.\\sqlexpress;" +
        "Initial Catalog=bd_telefonos; Integrated Security=True";
      ConexionConBD = new SqlConnection(strConexion);
    }

    private void btMostrarDatos_Click(object sender, RoutedEventArgs e)
    {
      using (ConexionConBD)
      {
        // Crear una consulta
        string Consulta = "SELECT nombre, telefono FROM telefonos";
        OrdenSql = new SqlCommand(Consulta, ConexionConBD);

        // Abrir la conexión con la base de datos
        ConexionConBD.Open();
        // ExecuteReader hace la consulta y devuelve un SqlDataReader
        Lector = OrdenSql.ExecuteReader();
        // Llamar siempre a Read antes de acceder a los datos
        while (Lector.Read()) // siguiente registro
        {
          lsTfnos.Items.Add(Lector["nombre"] + " " + Lector["telefono"]);
        }
        // Llamar siempre a Close una vez finalizada la lectura
        Lector.Close();
      }
      btMostrarDatos.IsEnabled = false;
    }
  }
}
