﻿using System;
using System.Windows;
using System.Data.SqlClient;
using System.Data;

namespace ProbarConexion
{
  /// <summary>
  /// Lógica de interacción para MainWindow.xaml
  /// </summary>
  public partial class MainWindow : Window
  {
    SqlConnection con = null;

    public MainWindow()
    {
      InitializeComponent();
    }

    private void Window_Loaded(object sender, RoutedEventArgs e)
    {
      // Crear la conexión
      string strConexion = "Data Source=.\\sqlexpress;" +
        "Initial Catalog=bd_telefonos; Integrated Security=True";
      con = new SqlConnection(strConexion);
    }

    private void btMostrarDatos_Click(object sender, RoutedEventArgs e)
    {
      try
      {
        // Probar a abrir la conexión
        con.Open();
        tbVersion.Text = "Versión del servidor: " + con.ServerVersion;
        tbEstadoConexion.Text = "La conexion está: ";
        tbEstadoConexion.Text += con.State.ToString();
        tbEstadoConexion.Text += "\nSe accede a la base de datos";
      }
      catch (Exception ex)
      {
        // Manipular la excepción
        tbEstadoConexion.Text = "Error al acceder a la base de datos. "
                                + ex.Message;
      }
      finally
      {
        // Asegurarse de que la conexión queda cerrada.
        // Aunque la conexión estuviera cerrada,
        // llamar a Close() no produce un error.
        con.Close();
        tbEstadoConexion.Text += "\nAhora la conexion está: " +
                                 con.State.ToString();
      }
    }
  }
}
