﻿using System;
using System.Linq;
using BDNotasAlumnos;
using System.ComponentModel;
using System.Windows;
using System.Collections.Generic;

namespace ApNotasAlumnos
{
  class CProveedorDatosAlumno
  {
    private bd_notasAlumnosEntities contextoDeObjs;

    public CProveedorDatosAlumno()
    {
      /*
       * #if ... #endif: evitar el error que da el diseñador debido a que estamos estableciendo la conexión en el contructor
       * y el diseñador, al cargar el XAML, intenta crear una instancia e intenta leer la información de conexión del fichero de configuración,
       * pero durante el diseño, la aplicación es el propio Visual Studio (no la nuestra) y su fichero de configuración, obviamente,
       * no contiene esta información.
       */
      #if DEBUG
      if (DesignerProperties.GetIsInDesignMode(new DependencyObject())) return;
      #endif
      contextoDeObjs = new bd_notasAlumnosEntities();
    }

    public List<alumno> ObtenerAlumnos()
    {
      #if DEBUG
      if (DesignerProperties.GetIsInDesignMode(new DependencyObject())) return null;
      #endif
      // Consulta LINQ 
      var alums =
        from alum in contextoDeObjs.alumnos
        select alum;

      return alums.ToList();
    }
  }
}
