﻿using System.Linq;
using System.Windows;
using BDNotasAlumnos;
using System;
using System.Windows.Controls;

namespace ApNotasAlumnos
{
  /// <summary>
  /// Lógica de interacción para ModificarNota.xaml
  /// </summary>
  public partial class ModificarNota : Window
  {
    private bd_notasAlumnosEntities contextoDeObjs =
      new bd_notasAlumnosEntities();

    private float nota = 0.0F;

    public float Nota { get { return nota; } }
    public int IdAlumno { get { return (int)listaDesAlums.SelectedValue; } }
    public int IdAsignatura { get { return (int)listaDesAsigs.SelectedValue; } }

    public ModificarNota()
    {
      InitializeComponent();
    }

    private void Window_Loaded(object sender, RoutedEventArgs e)
    {
      // Consulta: alumnos
      var alums =
        from alum in contextoDeObjs.alumnos
        select alum;
      // Configurar la lista fija de alumnos
      listaDesAlums.DisplayMemberPath = "nombre";
      listaDesAlums.SelectedValuePath = "id_alumno";
      listaDesAlums.SelectedIndex = 0;
      listaDesAlums.ItemsSource = alums;

      // Configurar la lista fija de asignaturas
      listaDesAsigs.DisplayMemberPath = "nombre";
      listaDesAsigs.SelectedValuePath = "id_asignatura";
      listaDesAsigs.SelectedIndex = 0;
    }

    private void listaDesAlums_SelectionChanged(object sender, SelectionChangedEventArgs e)
    {
      // Consulta: asignaturas del alumno seleccionado
      int id_al = Convert.ToInt32(listaDesAlums.SelectedValue);
      var alumAsigs =
        from al_as in contextoDeObjs.alums_asigs
        where al_as.id_alumno == id_al
        select al_as.asignatura;
      listaDesAsigs.ItemsSource = alumAsigs;
    }

    private void listaDesAsigs_SelectionChanged(object sender, SelectionChangedEventArgs e)
    {
      // Nota de la asignatura y del alumno seleccionados
      if ((sender as ComboBox).SelectedIndex == -1)
        (sender as ComboBox).SelectedIndex = 0;
      int id_al = Convert.ToInt32(listaDesAlums.SelectedValue);
      int id_as = Convert.ToInt32(listaDesAsigs.SelectedValue);
      var consulta =
        from al_as in contextoDeObjs.alums_asigs
        where al_as.id_alumno == id_al && al_as.id_asignatura == id_as
        select al_as.nota;
      ctNota.Text = consulta.First().ToString();
    }

    private void btAceptar_Click(object sender, RoutedEventArgs e)
    {
      if (!NotaNoValida(ctNota.Text))
      {
        MessageBox.Show("Nota no válida");
        return;
      }
      DialogResult = true;
    }

    private bool NotaNoValida(string snota)
    {
      if (!float.TryParse(snota, out nota))
        return false;
      if (nota < 0 || nota > 10) return false;
      return true;
    }
  }
}
