﻿using System.Windows;
using System.Windows.Controls;

namespace ApNavegacionWeb
{
  /// <summary>
  /// Lógica de interacción para PagDatos.xaml
  /// </summary>
  public partial class PagDatos : Page
  {
    private static DependencyProperty PersonaProperty;

    static PagDatos()
    {
      FrameworkPropertyMetadata metadata = new FrameworkPropertyMetadata();
      metadata.Journal = true;
      PersonaProperty = DependencyProperty.Register(
                         "PersonaProperty", typeof(object),
                         typeof(PagDatos), metadata, null);
    }

    public object Persona
    {
      set { SetValue(PersonaProperty, value); }
      get { return GetValue(PersonaProperty); }
    }

    public PagDatos()
    {
      System.Diagnostics.Debug.WriteLine("PagDatos construida");
      InitializeComponent();
    }

    private void Page_Loaded(object sender, RoutedEventArgs e)
    {
      this.DataContext = Persona;
      System.Diagnostics.Debug.WriteLine("PagDatos cargada");
    }

    private void Page_Unloaded(object sender, RoutedEventArgs e)
    {
      System.Diagnostics.Debug.WriteLine("PagDatos descargada");
    }
  }
}
