﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using BDtelefonos;
using System.ComponentModel;
using System.Windows;


namespace ApXBAPtelefonos
{
  class CProveedorDatosTelefono
  {
    public bd_telefonos2Entities ContextoDeObjs { get; private set; }
    
    public CProveedorDatosTelefono()
    {
      /*
       * #if ... #endif: evitar el error que da el diseñador debido a que estamos estableciendo la conexión en el contructor
       * y el diseñador, al cargar el XAML, intenta crear una instancia e intenta leer la información de conexión del fichero de configuración,
       * pero durante el diseño, la aplicación es el propio Visual Studio (no la nuestra) y su fichero de configuración, obviamente,
       * no contiene esta información.
       */
      #if DEBUG
        if (DesignerProperties.GetIsInDesignMode(new DependencyObject())) return;
      #endif

      ContextoDeObjs = new bd_telefonos2Entities();
    }

    public List<telefono> ObtenerTelefonos()
    {
      #if DEBUG
        if (DesignerProperties.GetIsInDesignMode(new DependencyObject())) return null;
      #endif

      // Consulta LINQ 
      var tfnos =
        from tfno in ContextoDeObjs.telefonos
        select tfno;
      return tfnos.ToList();
    }
  }
}
