﻿using System.ComponentModel;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System;

namespace ColeccionDeDatos
{
  public class Telefono : INotifyPropertyChanged
  {
    private int idPersona;
    public int IdPersona
    {
      get { return idPersona; }
      set
      {
        idPersona = value;
        OnPropertyChanged(new PropertyChangedEventArgs("IdPersona"));
      }
    }

    private string nombre;
    public string Nombre
    {
      get { return nombre; }
      set
      {
        nombre = value;
        OnPropertyChanged(new PropertyChangedEventArgs("Nombre"));
      }
    }

    private string direccion;
    public string Direccion
    {
      get { return direccion; }
      set
      {
        direccion = value;
        OnPropertyChanged(new PropertyChangedEventArgs("Direccion"));
      }
    }

    private string telefono;
    public string NumTelefono
    {
      get { return telefono; }
      set
      {
        telefono = value;
        OnPropertyChanged(new PropertyChangedEventArgs("Telefono"));
      }
    }

    private string observaciones;
    public string Observaciones
    {
      get { return observaciones; }
      set
      {
        observaciones = value;
        OnPropertyChanged(new PropertyChangedEventArgs("Observaciones"));
      }
    }

    private Byte[] foto;
    public Byte[] Foto
    {
      get { return foto; }
      set
      {
        foto = value;
        OnPropertyChanged(new PropertyChangedEventArgs("Foto"));
      }
    }

    public event PropertyChangedEventHandler PropertyChanged;
    public void OnPropertyChanged(PropertyChangedEventArgs e)
    {
      if (PropertyChanged != null)
        PropertyChanged(this, e); // generar evento
    }

    public override string ToString()
    {
      return Nombre;
    }

    public Telefono(int id)
    {
      IdPersona = id;
      Nombre = "¿Nombre?";
      Direccion = "¿Dirección?";
      NumTelefono = "000000000";
      Observaciones = "Ninguna";
      Foto = null;
    }

    public Telefono(int id, string nom, string dir, string tel, string obs)
    {
      IdPersona = id;
      Nombre = nom;
      Direccion = dir;
      NumTelefono = tel;
      Observaciones = obs;
      Foto = null;
    }
  }
}
