﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Windows;
using System.Windows.Data;

namespace ColeccionDeDatos
{
  public class ColDatos : INotifyPropertyChanged
  {
    public ColDatos()
    {
      ObtenerTelefonos();
    }

    private Telefonos colTelefonos;
    public Telefonos ColTelefonos
    {
      get { return colTelefonos; }
      set
      {
        colTelefonos = value;
        OnPropertyChanged(new PropertyChangedEventArgs("ColTelefonos"));
      }
    }

    public event PropertyChangedEventHandler PropertyChanged;
    public void OnPropertyChanged(PropertyChangedEventArgs e)
    {
      if (PropertyChanged != null)
        PropertyChanged(this, e); // generar evento
    }

    // Crear la base de datos
    private Telefonos ObtenerTelefonos()
    {
      colTelefonos = new Telefonos();
      int prefijo = 636;
      for (int i = 1; i < 30; ++i)
      {
        string nom = "Persona " + String.Format("{0:D3}", i);
        string dir = "Dirección " + String.Format("{0:D3}", i);
        string tel = prefijo + "333" + String.Format("{0:D3}", i);
        string obs = "Observación" + String.Format("{0:D3}", i);
        if (i % 10 == 0) prefijo += 10;
        colTelefonos.Add(new Telefono(i, nom, dir, tel, obs));
      }
      return colTelefonos;
    }
  }
}
