﻿using System;
using System.Windows.Data;
using System.Windows.Media.Imaging;

namespace ApSilverlightTfnos.Recursos
{
  public class ConversorBytes_ImageSource : IValueConverter
  {
    // Byte[] a ImageSource (origen --> destino)
    object IValueConverter.Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
    {
      if (targetType.FullName == "System.Windows.Media.ImageSource")
      {
        if (value == null)
          return null;

        // Obtener las dimensiones y la imagen
        byte[] bytesWHImagen = (byte[])value;
        byte[] w = BitConverter.GetBytes(0);
        byte[] h = BitConverter.GetBytes(0);
        Array.Copy(bytesWHImagen, 0, w, 0, 4);
        Array.Copy(bytesWHImagen, 4, h, 0, 4);
        int width = BitConverter.ToInt32(w, 0);
        int height = BitConverter.ToInt32(h, 0);

        byte[] bytesImagen = new byte[bytesWHImagen.Length - 8];
        Array.Copy(bytesWHImagen, 8, bytesImagen, 0, bytesWHImagen.Length - 8);

        return new WriteableBitmap(width, height).FromByteArray(bytesImagen);
      }
      return null;
    }

    // ImageSource a Byte[] (destino --> origen)
    object IValueConverter.ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
    {
      if (targetType.FullName == "System.Byte[]")
      {
        if (value == null)
          return null;

        WriteableBitmap wbm = value as WriteableBitmap;
        // Añadir las dimensiones antes de la imagen
        byte[] bytesImagen = wbm.ToByteArray();
        byte[] bytesWHImagen = new byte[bytesImagen.Length + 8];
        byte[] w = BitConverter.GetBytes(wbm.PixelWidth);
        byte[] h = BitConverter.GetBytes(wbm.PixelHeight);
        Array.Copy(w, 0, bytesWHImagen, 0, 4);
        Array.Copy(h, 0, bytesWHImagen, 4, 4);
        bytesImagen.CopyTo(bytesWHImagen, 8);

        if (wbm != null) return bytesWHImagen;
      }
      return null;
    }
  }
}
