﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Navigation;
using ApRiaServices.Web;

namespace ApRiaServices.Views
{
  public partial class Formularios : Page
  {
    public Formularios()
    {
      InitializeComponent();
    }

    // Se ejecuta cuando el usuario navega a esta página.
    protected override void OnNavigatedTo(NavigationEventArgs e)
    {
    }

    private void guardarCambios_Click(object sender, RoutedEventArgs e)
    {
      guardarCambios.IsEnabled = false;
      ddsAlumnos.SubmitChanges();
    }

    private void ddsAlumnos_SubmittedChanges(object sender, SubmittedChangesEventArgs e)
    {
      if (e.HasError)
      {
        ErrorWindow window = new ErrorWindow("Error:",
          string.Format(
            "Error, los cambios no fueron salvados: {0}",
            e.Error.Message));
        window.Show();
        e.MarkErrorAsHandled();
      }
      guardarCambios.IsEnabled = true;
    }

    private void agregarAlumno_Click(object sender, RoutedEventArgs e)
    {
      VentanaNuevoAlumno ventana = new VentanaNuevoAlumno();
      ventana.Closed += new EventHandler(ventana_Closed);
      ventana.Show();
    }

    void ventana_Closed(object sender, EventArgs e)
    {
      VentanaNuevoAlumno ventana = sender as VentanaNuevoAlumno;
      if (ventana.Nuevo_alumno != null)
      {
        alumno alum = new alumno();
        alum.id_alumno = ventana.Nuevo_alumno.Id;
        alum.nombre = ventana.Nuevo_alumno.NomAlumno;
        NotasAlumsDomSvc contextoDom = ddsAlumnos.DomainContext as NotasAlumsDomSvc;
        contextoDom.alumnos.Add(alum);
        ddsAlumnos.SubmitChanges();
      }
    }

    private void borrarAlumno_Click(object sender, RoutedEventArgs e)
    {
      NotasAlumsDomSvc contextoDom = ddsAlumnos.DomainContext as NotasAlumsDomSvc;
      contextoDom.alumnos.Remove(dgAlumnos.SelectedItem as alumno);
      ddsAlumnos.SubmitChanges();
    }
  }
}
