﻿using System;
using System.Linq;
using System.Windows.Controls;
using System.Windows.Navigation;
using ApRiaServices.Web;
using System.ServiceModel.DomainServices.Client;

namespace ApRiaServices.Views
{
  public partial class LoadOperation : Page
  {
    private int idAlumnoActual = 0;

    public LoadOperation()
    {
      InitializeComponent();
    }

    // Se ejecuta cuando el usuario navega a esta página.
    protected override void OnNavigatedTo(NavigationEventArgs e)
    {
      NotasAlumsDomSvc contextoDom = new NotasAlumsDomSvc();
      LoadOperation<alumno> opDeCarga =
        contextoDom.Load(contextoDom.GetAlumnosOrdQuery());
      this.dgAlumnos.ItemsSource = opDeCarga.Entities;
      //contextoDom.Load(contextoDom.GetAlumnosOrdQuery());
      //this.dgAlumnos.ItemsSource = contextoDom.alumnos;
    }

    private void dgAlumnos_SelectionChanged(object sender, SelectionChangedEventArgs e)
    {
      if (e.AddedItems.Count == 0) return;
      alumno alum = e.AddedItems[0] as alumno;
      if (alum == null) return;

      NotasAlumsDomSvc contextoDom = new NotasAlumsDomSvc();
      //LoadOperation<asignatura> opDeCarga =
      //  contextoDom.Load(contextoDom.GetAsignaturasAlumQuery(alum.id_alumno));
      //this.dgAsignaturas.ItemsSource = opDeCarga.Entities;
      contextoDom.Load(contextoDom.GetAsignaturasAlumQuery(alum.id_alumno));
      this.dgAsignaturas.ItemsSource = contextoDom.asignaturas;
      idAlumnoActual = alum.id_alumno;
    }

    private void dgAsignaturas_SelectionChanged(object sender, SelectionChangedEventArgs e)
    {
      if (e.AddedItems.Count == 0) return;
      asignatura asig = e.AddedItems[0] as asignatura;
      if (asig == null) return;

      NotasAlumsDomSvc contextoDom = new NotasAlumsDomSvc();
      LoadOperation<alum_asig> opDeCarga =
        contextoDom.Load(contextoDom.GetNotaAlumAsigQuery(idAlumnoActual, asig.id_asignatura));
      opDeCarga.Completed += new EventHandler(opDeCarga_Completed);
    }

    private void opDeCarga_Completed(object sender, EventArgs e)
    {
      LoadOperation<alum_asig> opDeCarga = sender as LoadOperation<alum_asig>;
      this.tbNota.DataContext = opDeCarga.Entities.First();
    }
  }
}
